SUBROUTINE ALLGATHER_CTLVEC_IFSAUX(YD_CV, ksize, pcvg)

! Trying to get around the fact that some of the Lanczos routines
! are in ifs while others are in ifsaux.

USE PARKIND1  ,ONLY : JPIM     ,JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

USE CONTROL_VECTORS
USE CONTROL_VECTORS_COMM_MOD
IMPLICIT NONE

INTEGER(KIND=JPIM),INTENT(IN)    :: KSIZE 
TYPE(CONTROL_VECTOR),INTENT(IN)    :: YD_CV 
REAL(KIND=JPRB)   ,INTENT(OUT)   :: PCVG(KSIZE) 
REAL(KIND=JPRB) :: ZHOOK_HANDLE

#include "abor1.intfb.h"

IF (LHOOK) CALL DR_HOOK('ALLGATHER_CTLVEC_IFSAUX',0,ZHOOK_HANDLE)
IF (ksize<YD_CV%nsizeg) CALL ABOR1('ALLGATHER_CTLVEC_IFSAUX: PCVG too small')

CALL ALLGATHER_CTLVEC(YD_CV, pcvg)

IF (LHOOK) CALL DR_HOOK('ALLGATHER_CTLVEC_IFSAUX',1,ZHOOK_HANDLE)
END SUBROUTINE ALLGATHER_CTLVEC_IFSAUX
